require "import"
import "android.widget.*"
import "com.androlua.*"
import "android.content.Intent"
import "android.content.pm.PackageManager"

layout = {
    LinearLayout,
    orientation = "vertical",
    layout_width = "fill",
    layout_height = "fill",
    {
        Button,
        id = "btn_whatsapp",
        text = "WhatsApp Messenger",
        layout_width = "fill",
        layout_height = "wrap_content"
    },
    {
        Button,
        id = "btn_whatsapp_business",
        text = "WhatsApp Business",
        layout_width = "fill",
        layout_height = "wrap_content"
    }
}

dlg = LuaDialog(this)
dlg.View = loadlayout(layout)
dlg.setTitle("Open with")
dlg.show()

btn_whatsapp.onClick = function()
    dlg.dismiss()
    task(20, function()
        local pm = this.getPackageManager()
        local intent = pm.getLaunchIntentForPackage("com.whatsapp")
        if intent then
            this.startActivity(intent)
        else
            print("WhatsApp Messenger is not installed")
        end
    end)
end

btn_whatsapp_business.onClick = function()
    dlg.dismiss()
    task(20, function()
        local pm = this.getPackageManager()
        local intent = pm.getLaunchIntentForPackage("com.whatsapp.w4b")
        if intent then
            this.startActivity(intent)
        else
            print("WhatsApp Business is not installed")
        end
    end)
end